Page MenuHomeFreeBSD

Add conv=fdatasync flag to dd
ClosedPublic

Authored by ryan_freqlabs.com on Aug 22 2019, 8:44 PM.

Details

Summary

The fdatasync flag performs an fdatasync(2) on the output file before closing it. This will be useful for the ZFS test suite.

Sponsored by: iXsystems, Inc.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

I will check the result of close(2) in a follow-up patch as suggested in PR229616

bcr accepted this revision as: manpages.Aug 23 2019, 10:52 AM
bcr added a subscriber: bcr.

OK from manpages, but bump the .Dd when committing for this content change.
Thank you!

mmacy accepted this revision.Sep 30 2019, 9:43 PM
This revision is now accepted and ready to land.Sep 30 2019, 9:43 PM
This revision was automatically updated to reflect the committed changes.